%define name	festival
%define version	1.95
%define release	%mkrel 1

Summary: 	A free speech synthesizer 
Name:  		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Sound
URL: 		http://www.cstr.ed.ac.uk/projects/festival/
Source: 	%{name}-%{version}-beta.tar.bz2
Source2: 	festdoc-1.4.2.tar.bz2
Source3: 	speech_tools-config
Source5: 	festival-1.4.3-config
# (nonotor) Code from speech_utils 1.2.95 needed
# We should merge speech_utils and festival source rpm...
Source6:	base_class.tar.bz2
# Fix up various locations to be more FSSTND compliant
Patch:		festival-1.4.1-fsstnd.patch.bz2
#Patch2:         %{name}-config.patch
# Set defaults to American English instead of British English - the OALD
# dictionary (free for non-commercial use only) is needed for BE support
Patch1:		festival-american.patch.bz2
Patch3:		%{name}-1.4.3-config.patch.bz2
# Translate this strange pseudocode to real C++
Patch21:	festival-1.4.2-c++.patch.bz2
Patch22:	festival-1.4.3-gcc3_4.patch.bz2
# needed by the asterisk pbx software
Patch23:	festival-1.4.3-asterisk.diff.bz2
Patch24:	%{name}-1.95-findlibs.patch.bz2
BuildRequires:	perl
BuildRequires:	libtermcap-devel
BuildRequires:	speech_tools-devel
Requires:	festival-voice
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root 

# Somebody please teach the source code what C++ looks like this millenium

%description
Festival is a general multi-lingual speech synthesis system developed
at CSTR. It offers a full text to speech system with various APIs, as
well as an environment for development and research of speech synthesis
techniques. It is written in C++ with a Scheme-based command interpreter
for general control.

%package	devel
Summary:	Static libraries and headers for festival text to speech
Group:		Development/C++
Requires:	%{name} = %{version}-%{release}

%description	devel
Festival is a general multi-lingual speech synthesis system developed
at CSTR. It offers a full text to speech system with various APIs, as
well as an environment for development and research of speech synthesis
techniques. It is written in C++ with a Scheme-based command interpreter
for general control.

This package contains the libraries and includes files necessary to develop
applications using festival.
 
%prep

%setup -q -n festival -a 2 -a 6
#ln -sf festival/speech_tools ../speech_tools
#%patch -p1
%patch3 -p1
#patch1 -p1 -b .americandefault
#%patch21 -p1 -b .fv_c++
#%patch22 -p1 -b .gcc3_4
# needed by the asterisk pbx software
%patch23 -p1 -b .asterisk
%patch24 -p1 -b .findlib

# zero length
rm festdoc-1.4.2/speech_tools/doc/index_html.jade
rm festdoc-1.4.2/speech_tools/doc/examples_gen/error_example_section.sgml
rm festdoc-1.4.2/speech_tools/doc/tex_stuff.jade

rm -f bin/VCLocalRules

# (gb) lib64 fixes, don't bother with a patch for now
perl -pi -e '/^REQUIRED_LIBRARY_DIR/ and s,/usr/lib,%{_libdir},' config/project.mak
# (nonotor) EST_THash.h in /usr/include/EST
#perl -pi -e 's|include\ \"EST_THash\.h\"|include\ \<EST\/EST_THash.h\>|' src/modules/MultiSyn/Diphone* src/modules/UniSyn_diphone/us_diphone.h

%build
%configure
make 

%install
rm -rf %{buildroot}
install -d %{buildroot}{%{_bindir},%{_datadir}/%{name}/{voices/english,dicts},%{_libdir},%{_includedir}/%{name},%{_mandir}/man1}

# bin
install bin/festival_server* bin/text2wave %{buildroot}%{_bindir}
install src/main/festival{,_client} %{buildroot}%{_bindir}

# devel
install src/lib/libFestival.a %{buildroot}%{_libdir}
install src/include/*.h %{buildroot}%{_includedir}/%{name}

# data
cp -r lib config examples %{buildroot}%{_datadir}/%{name}
find %{buildroot}%{_datadir}/%{name} -name Makefile -exec rm \{\} \;

install doc/festival{,_client}.1 %{buildroot}%{_mandir}/man1

mv -f %{buildroot}/%{_datadir}/%{name}/lib/etc/unknown_RedHatLinux/audsp %{buildroot}/%{_bindir}
rm -Rf %{buildroot}/%{_datadir}/%{name}/lib/etc/

perl -pi -e 's,/projects/festival/lib,%{_datadir}/%{name},g' %{buildroot}/%{_datadir}/%{name}/lib/lexicons.scm

find festdoc-1.4.2 -type d -name 'CVS' -exec rm -Rf {} \;|| true

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ACKNOWLEDGMENTS COPYING INSTALL NEWS README*
%doc festdoc-1.4.2/festival/html/*html
%doc festdoc-1.4.2/festival/info
%doc festdoc-1.4.2/festival/festival.ps
%{_bindir}/*
%{_datadir}/festival
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%doc festdoc-1.4.2/speech_tools
%{_libdir}/*.a
%dir %{_includedir}/festival
%{_includedir}/festival/*

%changelog
* Tue Dec 20 2005 Arnaud de Lorbeau <devel@mandriva.com> 1.95-1mdk
- 1.95
- add P24

* Tue Sep 20 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.4.3-8mdk
- rebuild against speech_tools 1.2.3-5mdk

* Wed Aug 24 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.4.3-7mdk
- rebuilt against gcc4 speech_tools libs

* Wed Oct 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.3-6mdk
- nuke redundant requires
- misc spec file fixes

* Fri Oct  1 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4.3-5mdk
- lib64 fixes

* Fri Sep 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.4.3-4mdk
- added P23 (needed by the asterisk pbx software)

* Tue Jul 20 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.4.3-3mdk
- rebuild with gcc 3.4 (patch22)

* Fri Feb 21 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.4.3-2mdk
- Fix festival looking for dictionaries in weird places (bug 2051)

* Tue Feb 11 2003 Buchan Milne <bgmilne@linux-mandrake.com> 1.4.3-1mdk
- PLF->MDK (satisfy requires in speaker3 ;-))
- Split voices into seperate srpm (make them noarch)
- Cleanups and unpackaged files
- 1.4.3

* Sun Sep  8 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 1.4.2-3plf
- update patch 20 and 21 to the rawhide versions -> gcc 3.2 build 

* Fri Jul 26 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 1.4.2-2plf
- gcc 3.2 build

* Fri Jul  5 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 1.4.2-1plf
- fixed buildrequires (readlink, termcap)
- adapted spec from Charles A Edwards <eslrahc@bellsouth.net>

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jun 10 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.4.2-7
- Fix some rpmlint errors

* Mon Jun 10 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.4.2-6
- Fix ISO C++ compliance

* Mon Mar 18 2002 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Mar 14 2002 Trond Eivind Glomsrd <teg@redhat.com> 1.4.2-2
- Get rid of CVS directiories in doc dir
- Fix broken symlinks for components from speech_tools

* Wed Mar  6 2002 Trond Eivind Glomsrd <teg@redhat.com>
- 1.4.2
- Lots of fixes to make it build, more needed
- Cleanups
- Update URL
- Fix docs inclusion
- Drop prefix
- Use %%{_tmppath}

* Wed Aug  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Add defattr (Bug #15033)

* Tue Jul 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix build on current 7.0

* Mon Jul 17 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- fix build on current 7.0

* Thu Jul  6 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- FHSify

* Mon Jun 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix build on non-x86

* Sun Apr 22 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial packaging

